<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<% content_controller 'repository-navigation', dynamic: true %>
<%= render partial: 'repository_header', locals: { empty: false } %>

<div class="repository-breadcrumbs">
  <%= render partial: 'breadcrumbs',
             locals: { path: @path, revision: @rev }.merge(kind: 'dir') %>
</div>

<% if !@entries.nil? && authorize_for('repositories', 'browse') %>
  <%= render partial: 'dir_list' %>
<% end %>

<%= render_properties(@properties) %>

<%= toolbar title: t(:label_revision_plural), html: { class: 'repository--revision-toolbar' } do %>
  <%# rev => nil prevents overwriting the rev parameter queried for in the form with the parameter from the request %>
  <%= form_tag({ action: controller.action_name,
                 project_id: @project,
                 path: to_path_param(@path),
                 rev: nil
               },
               method: :get,
               id: 'revision_selector',
               class: 'form -vertical',
               data: {
                 'repository-navigation-target': 'form',
               }
      ) do %>
    <li class="toolbar-item toolbar-input-group hidden-for-mobile">
      <div>
        <%= label_tag 'rev', I18n.t('repositories.go_to_revision') %>
      </div>
      <%= text_field_tag :rev,
                         @rev,
                         id: 'revision-identifier-input',
                         placeholder: t(:label_revision),
                         data: {
                           'repository-navigation-target': 'revision',
                           action: 'keydown.enter->repository-navigation#sendForm'
                         } %>
    </li>
    <% if !@repository.branches.nil? && @repository.branches.length > 0 %>
      <li class="toolbar-item toolbar-input-group hidden-for-mobile">
        <div>
          <%= label_tag 'branch', I18n.t(:label_branch) %>
        </div>
        <%= select_tag :branch,
                       options_for_select(@repository.branches, @rev),
                       include_blank: "--- #{t(:actionview_instancetag_blank_option)} ---",
                       id: 'revision-branch-select',
                       data: {
                         'repository-navigation-target': 'branch',
                         action: 'repository-navigation#applyValue'
                       }
        %>
      </li>
    <% end %>
    <% if !@repository.tags.nil? && @repository.tags.length > 0 %>
      <li class="toolbar-item toolbar-input-group hidden-for-mobile">
        <div>
          <%= label_tag 'tag', I18n.t(:label_tag) %>
        </div>
        <%= select_tag :tag,
                       options_for_select(@repository.tags, @rev),
                       include_blank: "--- #{t(:actionview_instancetag_blank_option)} ---",
                       id: 'revision-tag-select',
                       data: {
                         'repository-navigation-target': 'tag',
                         action: 'repository-navigation#applyValue'
                       }
        %>
      </li>
    <% end %>
    <li class="toolbar-item -icon-only">
      <%= link_to({ url: { action: 'revision#revision-identifier-inputs', project_id: @project,
                           key: User.current.rss_key } },
                  { class: 'button', title: t('repositories.atom_revision_feed') }) do %>
        <%= op_icon('button--icon icon-export-atom') %>
      <% end %>
    </li>
  <% end %>
<% end %>

<% if authorize_for('repositories', 'revisions') %>
  <% if @changesets && !@changesets.empty? %>
    <%= render partial: 'revisions',
               locals: { project: @project, path: @path,
                         revisions: @changesets, entry: nil } %>
  <% end %>
  <p>
    <%
      has_branches = (!@repository.branches.nil? && @repository.branches.length > 0)
      sep = ''
    %>

    <% if @repository.supports_all_revisions? && @path.blank? %>
      <%= link_to t(:label_view_all_revisions), revisions_project_repository_path(@project) %>
      <% sep = '|' %>
    <% end %>
  </p>
<% end %>

<% html_title(t(:label_repository)) -%>
